Ruby: YYSTYPE Union Reference

Ruby 3.4.1p0 (2024-12-25 revision 48d4efcb85000e1ebae42004e963b5d0cedddcf2)

Data Fields
YYSTYPE Union Reference

## Data Fields
NODE * | node
rb_node_fcall_t * | node_fcall
rb_node_args_t * | node_args
rb_node_args_aux_t * | node_args_aux
rb_node_opt_arg_t * | node_opt_arg
rb_node_kw_arg_t * | node_kw_arg
rb_node_block_pass_t * | node_block_pass
rb_node_masgn_t * | node_masgn
rb_node_def_temp_t * | node_def_temp
rb_node_exits_t * | node_exits
ID | id
int | num
st_table * | tbl
st_table * | labels
const struct vtable * | vars
struct rb_strterm_struct * | strterm
struct lex_context | ctxt
enum lex_state_e | state

## Detailed Description

Definition at line 191 of file parse.h.

## Field Documentation

## ◆ ctxt

struct lex_context YYSTYPE::ctxt

Definition at line 211 of file parse.h.

## ◆ id

ID YYSTYPE::id

Definition at line 205 of file parse.h.

## ◆ labels

st_table* YYSTYPE::labels

Definition at line 208 of file parse.h.

## ◆ node

NODE* YYSTYPE::node

Definition at line 195 of file parse.h.

## ◆ node_args

rb_node_args_t* YYSTYPE::node_args

Definition at line 197 of file parse.h.

## ◆ node_args_aux

rb_node_args_aux_t* YYSTYPE::node_args_aux

Definition at line 198 of file parse.h.

## ◆ node_block_pass

rb_node_block_pass_t* YYSTYPE::node_block_pass

Definition at line 201 of file parse.h.

## ◆ node_def_temp

rb_node_def_temp_t* YYSTYPE::node_def_temp

Definition at line 203 of file parse.h.

## ◆ node_exits

rb_node_exits_t* YYSTYPE::node_exits

Definition at line 204 of file parse.h.

## ◆ node_fcall

rb_node_fcall_t* YYSTYPE::node_fcall

Definition at line 196 of file parse.h.

## ◆ node_kw_arg

rb_node_kw_arg_t* YYSTYPE::node_kw_arg

Definition at line 200 of file parse.h.

## ◆ node_masgn

rb_node_masgn_t* YYSTYPE::node_masgn

Definition at line 202 of file parse.h.

## ◆ node_opt_arg

rb_node_opt_arg_t* YYSTYPE::node_opt_arg

Definition at line 199 of file parse.h.

## ◆ num

int YYSTYPE::num

Definition at line 206 of file parse.h.

## ◆ state

enum lex_state_e YYSTYPE::state

Definition at line 212 of file parse.h.

## ◆ strterm

struct rb_strterm_struct* YYSTYPE::strterm

Definition at line 210 of file parse.h.

## ◆ tbl

st_table* YYSTYPE::tbl

Definition at line 207 of file parse.h.

## ◆ vars

const struct vtable* YYSTYPE::vars

Definition at line 209 of file parse.h.

The documentation for this union was generated from the following file:

- parse.h